/*
 * Copyright (c) 2019 Yodlee, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Yodlee, Inc.
 * Use is subject to license terms.
 */

package com.yodlee.aace.siteanalyzer.splunk;


/**
 * @author Pravesh Karn
 * @since Date: Nov 20, 2019
 * @Purpose holds the constants for the module.
 */

public class SplunkConstants {

    public static final String REST_URL= "https://splunkapi.yodlee.com/";
    public static final String REST_URL_MID = "/services/search/jobs/";
    public static final String REST_URL_END = "/results?output_mode=json";
    public static final String AUTHORISATION = "Authorization";
    public static final String SPLUNK_CONSTANT = "Splunk ";
    public static final String RESULTS = "results";

    public static final String SPLUNK_FETCH_DUMP_QUERY ="| savedsearch Fetch_Dumps sum_info=";

    public static final String ENCRYPT_DECRYPT_KEY = "Tool.physical_credential_key";

    public static final String DEV_KEY="AIzaSyAfS7UKv9Ak7quRG7oIOyZvKWX-u8IOoa8";
    public static final String DEV_CX="018039921712361464827:zcoy83kimcs";

    public static final String CSID_LIST = "26283,8791,502,982,4633,28134,9087,19277,27772,39743,1192,34005,458,1187,38795,23459,33077,1461,3796,18781,18016,1245,23235,40148,3843,30127,26249,30997,21625,25483,34570,29905,1400,28418,29774,12328,1152,26253,3063,28533,31346,38776,30035,1124,28395,38878,26510,29694,37881,27552,27284,7808,27496,38865,16748,3167,1207,23717,27680,32894,28045,28165,27114,25506,1377,1233,40225,3557,1282,5710,1165,19251,29866,4894,41891,10268,8273,23437,31241,30359,8081,35993,7379,33267,1216,89,14612,8841,26067,25801,26574,28532,32120,27749,29218,4269,3054,3626,27255,25518,28714,28110,37144,26015,3242,26224,28832,3287,10194,23481,16134,28427,29714,30587,12005,4941,25904,34080,1261,10243,23173,17357,3266,34034,1662,17167,5254,8805,38838,7247,3794,29111,10204,34516,25824,28483,27415,39969,21563,9733,1341,26206,26305,26943,5776,1221,28144,30198,487,26135,37964,25031,39463,38844,7460,29106,29854,40843,3244,1353,3509,39460,39538,3766,2645,5581,38054,35862,32589,33901,29104,4547,6684,31459,3246,27442,8661,3739,3543,7857,28124,22938,32447,5576,25500,29753,25910,1222,27059,10595,14254,545,23372,1260,12485,37923,23751,29152,37434,7064,36199,7947,3724,40402,23478,26737,26090,35478,33921,26446,3514,8761,39727,29019,27092,24413,466,8680,26735,29864,37891,566,33946,26154,33688,5635,27876,5062,26631,15634,28463,3799,21655,26977,35448,26040,9252,6022,26927,30467,26229,25653,12986,27585,36302,29885,27199,32114,3393,3865,39014,27766,26887,39321,23118,25626,3508,28974,25549,28231,3350,32582,11724,28129,36059,3867,35713,18544,28601,1193,19057,26755,31419,9390,14666,1190,17927,25735,36811,25902,7317,33269,9631,34409,38790,25164,38678,23983,25953,31562,3704,26234,14214,27304,26183,9148,34771,28368,38608,25499,10617,35892,30529,3076,3438,26208,8044,5410,28981,29246,35585,28869,1174,31928,38953,34379,4937,1274,1179,1215,31883,3082,39277,38468,30165,40604,26872,14211,36007,5426,28530,37403,28390,1238,4560,1196,17399,3614,32953,28781,31279,35839,40984,16965,41876,5890,30328,28843,39481,6959,1199,34140,23762,15211,6356,26653,28763,568,21727,12902,3400,25360,35003,26824,29429,12054,32630,29502,28867,32737,5113,15179,6565,5097,10195,30256,38620,31276,40855,5528,28872,28550,37384,25437,6283,22733,3269,17308,14235,26865,40727,37770,38812,29154,37224,4073,33808,1331,27981,29296,29665,26928,23431,38705,18527,36172,31959,3436,24735,1249,27709,24479,26027,24681,3394,33302,1348,37914,3475,9594,40814,26552,26580,31205";
    //"8351,8354,8355,8352,8353,8750,8571,19024,22901,31928,35367,23417,23597,29583,29224,32466,33087,35420,35547,35862,38379,38381,38785,38926,39164,39288,39523,4264,8625,4609,5058,35558,5708,17912,17914,17916,33772,33798,38054,38148,38891,39045,39124,39429,39441,39451,40174,40175,40353,40356";
    //"select sum_info_id from sum_info where is_ready=1";

    public static final String SITE_LIST ="20274,3291,473,5,3708,21472,7014,4525,21155,29375,1175,25381,431,1170,28515,18609,24786,1449,3580,12141,15036,1228,18442,29694,3623,22746,20256,23272,17437,19795,25671,22615,1387,21657,22523,10121,1134,20255,2979,21745,23538,28494,22697,1104,21641,28584,20299,22466,27845,21051,3504,1206,21019,28572,3840,3025,1190,18801,21168,24661,21403,21494,20759,19809,1364,1216,29742,3356,1265,5069,1148,2162,22585,4287,30967,8115,3317,18591,23457,22861,1238,26530,1307,24885,1199,84,12162,1348,20156,19986,20440,21744,24080,1271,22144,3669,2971,3421,20846,19814,21073,21450,27265,20119,3079,20247,21909,3124,8041,18625,8391,20676,22481,23006,9800,4328,20053,24836,1244,8092,18387,14709,3106,25396,1622,14555,4623,1629,28547,1296,3578,22079,8050,25643,20005,21703,20952,29574,17402,2852,1328,20234,20288,20659,5135,1204,21480,22790,459,20197,27912,19575,29127,28552,1312,22075,22577,30215,3081,1340,3310,29124,29195,3550,2606,4942,27986,26462,24454,25336,22074,783,6038,23615,3083,20970,3514,3525,3342,6589,21465,18202,24340,4937,19805,22505,20057,1205,20728,3111,11809,524,18550,1243,10267,27878,18828,22105,27480,3171,26667,1343,3510,29884,18622,20534,20173,26175,25352,20369,3315,6779,29359,22023,20748,19243,439,3424,4190,22582,27852,546,25361,20205,25208,4996,21289,7516,1356,13130,21689,3583,17451,20680,26153,20141,7157,5377,8328,22939,20250,19876,10576,21090,26738,22600,20809,24077,3213,3644,28713,21212,20631,29001,18342,19868,3309,21999,19832,21540,3174,24450,9524,21469,26571,3646,26356,1344,15561,1176,12084,20547,23584,7295,12211,1173,14987,19944,27102,20052,3080,24933,7537,25593,28509,19662,11817,19043,20081,23702,3492,20252,11768,20879,20222,7075,25773,21624,28361,19804,3296,26476,22975,2991,3252,20236,1234,9105,22004,22158,26272,21951,1157,18576,28659,18540,4326,1257,5276,1198,23650,2996,28961,28267,22770,30074,20623,11765,26541,4795,21743,27456,21637,1221,3963,1179,14752,3409,24709,21897,11767,26450,30315,14325,12445,5250,22850,21943,29143,6312,1182,12934,18839,12744,5710,20487,18376,1133,17489,10515,3219,19728,18671,20592,21422,9843,24467,22326,8966,24560,4490,12714,5919,4474,8042,22817,28373,23489,30223,4888,21954,21756,27441,19768,13894,18055,3110,14664,11791,10394,30145,27749,28525,22109,27318,17106,25285,1317,21354,22189,18328,20650,18587,14099,15167,26649,23977,3250,19416,1232,7148,19277,20130,19383,3214,24958,1335,27869,3280,7500,30198,20426,20444,10824";
    //"6684,6684,6684,6684,6684,6767,6767,15336,18177,18576,18576,18576,18714,18714,22148,24355,24804,26136,26136,26462,28220,28220,28502,28631,28862,28970,29180,3664,3664,3881,3881,3881,5067,14979,14979,14979,25272,25272,27986,28060,28595,28740,28821,29093,29105,29117,29713,29713,29833,29833" ;
    //"select site_id from sum_info where is_ready=1 ";


    public static final String SITE="select DISTINCT site_id from ss_error_type_wise_summary";
    public  static  final String CSID="select DISTINCT sum_info_id from ss_error_type_wise_summary";

    public static final String RULE_LIST_PACKAGE = "com.yodlee.iae.metadata.metadatalist";

    public static final String REQUEST_ACTOR = "RequestActor";

    public static final String RTN_PARAM_KEY_ID = "33";
    public static final String AHN_PARAM_KEY_ID = "44";
    public static final String FAN_PARAM_KEY_ID = "45";

    public static final String MULTILAYER_PERCEPTRON_CLASSIFICATION_MODEL= "MultilayerPerceptronClassificationModel";
    public static final String CLUSTERING_MODEL = "KMeansModel";
    public static final String WORD_TO_VEC_MODEL_ORG_URL = "UrlOrgVocabWord2Vec";
    public static final String WORD_TO_VEC_MODEL_COOKIES = "CookiesVocabWord2Vec";
    public static final String WORD_TO_VEC_MODEL_DOM = "DomVocabWord2Vec";

    public static final String SERVICE_PROVIDER_FILE_lOCATION = "./bifrost-reports/";

    public static final String SERVICE_PROVIDER_FILE_NAME = "ServiceProviderMap.csv";


    public static final String TOTAL_REQUEST = "TOTAL_REQUEST";
    public static final String SUCCESS_COUNT = "SUCCESS_COUNT";
    public static final String LOGIN_ERRORS = "LOGIN_ERRORS";
    public static final String AGENT_ERRORS = "AGENT_ERRORS";
    public static final String SITE_ERRORS= "SITE_ERRORS";
    public static final String UAR_ERRORS = "UAR_ERRORS";
    public static final String INFRA_ERRORS = "INFRA_ERRORS";

}
